<?php //global settings for Jax Calendar v1.34

// Global variables (have to be fitted) :

// Title and Data Source
$calendars[0]->title          = "Jax Calendar";
$calendars[0]->data_source    = "csvfile";

// CSS template for the Calendar
$calendars[0]->css            = "css/default.css";

$calendars[0]->calendar_file  = "mycalendar";
$calendars[0]->event_file     = "myevents";

$calendars[0]->db_server      = "";
$calendars[0]->db_login       = "";
$calendars[0]->db_database    = "";
$calendars[0]->db_database    = "jax_calendar";
$calendars[0]->db_password    = "";

$calendars[0]->status_image_dir = "images/status_pics";

// Title and Data Source
$calendars[1]->title          = "Jax Calendar 2nd";
$calendars[1]->data_source    = "csvfile";


// CSS template for the Calendar
$calendars[1]->css            = "css/default.css";

$calendars[1]->calendar_file  = "mycalendar2";
$calendars[1]->event_file     = "myevents2";

$calendars[1]->db_server      = "";
$calendars[1]->db_login       = "";
$calendars[1]->db_database    = "";
$calendars[1]->db_database    = "jax_calendar";
$calendars[1]->db_password    = "";

$calendars[1]->status_image_dir = "images/status_pics";

// if no calendar id is given in URI, take default (0)
if ( empty( $_GET["cal_id"] ) ) { $cal_id = 0; } else { $cal_id = $_GET["cal_id"]; }

// $title            = $calendars[$cal_id]->title;
$data_source      = $calendars[$cal_id]->data_source;
$calendar_file    = $calendars[$cal_id]->calendar_file;
$event_file       = $calendars[$cal_id]->event_file;
$db_server        = $calendars[$cal_id]->db_server;
$db_login         = $calendars[$cal_id]->db_login;
$db_database      = $calendars[$cal_id]->db_database;
$db_password      = $calendars[$cal_id]->db_password;
$css_file         = $calendars[$cal_id]->css;
$status_img_dir   = $calendars[$cal_id]->status_image_dir;

// Language localization
$default_language = strtolower( "english" );

// choose browser language for default
$language_auto_select = true;

// language localization
if ( empty( $_GET[ "language" ] ) && $language_auto_select )
   {
               // echo "\n".'<script language="JavaScript" type="Text/JavaScript" src="'."{$base_url["jax_cal"]}/modules/lang_auto_select.js".'"></script>'."\n";
               $language = $default_language;
   }
	else
               $language = strtolower( $_GET[ "language" ] );



// CALENDAR CONTROL (USERS)

// show today_button in calendar
$cal_today_selector = true;

// emphasize days with events!
$cal_show_reserved  = true;

// use js for month/year quick selection (in calendar control)
$use_quick_selectors = false;

$calendar_open_url    = "";
$calendar_open_target = "";


// EVENT LIST

$view_cal_select      = true;
$view_default         = "d30";    // d1 , d30 , m12

// CALENDAR ADMIN

// num of lines each page in calendar admin frontend
$admin_page_break = 12;



?>